Making Your New iPod Work In Gutsy

There was an article a few weeks ago about the newer iPods and how Apple changed the crypto hash for them which made them incompatible with current versions of Linux software. Well, there has been a lot of work to make them functional under Linux, and now here's a quick How-To on getting these fixes installed on your Gutsy installation.

  1. Go and download the libgpod and rhythmbox packages from ftp://64.22.103.45/packages/gutsy/
  2. Install the python-mutage package via apt 'sudo aptitude install python-mutagen'
  3. Use 'sudo dpkg -i /path/to/debs/*.deb' to install each of these packages.
  4. Now, you should be able to fire up RhythmBox and sync your iPod and have it work without the dreaded "No Music" message showing up.

Comments

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.

will it work with Ipod

will it work with Ipod Touch?

iPod Touch

It is supposed to, but I don't have an iPod Touch to test with. I do know that it works with my 6th Gen iPod classic (160GB model).

it works. thanks!

I tested it with ipod Nano 4GB silver, bought in Jan 2008.